> For the complete documentation index, see [llms.txt](https://docs.verified.network/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.verified.network/reference/verified-sdk/staking-to-invest.md).

# Staking to invest

Investors may stake digital assets such as crypto currencies, stable coins and [Verified cash tokens](broken://pages/-MR9NK6fo0od2Uguz_gP#issuing-of-verified-cash-tokens) that are allocated to asset managers for investments in tokenized securities such as tokenized equity, bonds and structured products. This yields a return on investment for such investors we will refer to as liquidity providers.

Liquidity providers can stake in two ways. The first way is to stake digital assets on the Verified Liquidity contract that issues Verified Liquidity tokens to liquidity providers they can trade for capital gains. Assets staked on the Verified Liquidity contract are allocated by Verified governance to licensed asset managers that invest staked assets in tokenized securities to yield a return on investment which is shared with Verified Liquidity token holders.

The second way is for liquidity providers to stake assets on Verified market maker contracts that provide liquidity to liquidity pools of specific tokenized security and cash pairs. In this case also, Verified market maker contracts issue Verified liquidity tokens to liquidity providers. The difference between staking assets in Verified market maker contracts vis a vis staking in Verified liquidity contracts is that the underwriting risk is borne by liquidity providers in the former (market maker contracts) case, while underwriting risk is borne by asset managers in the latter (liquidity contracts) case.&#x20;

### **Staking in Verified liquidity**

Applications can check tokens accepted for staking with the [`getSupportedTokens`](broken://pages/CsO3EsJ5XwIPItN1RtGD#check-accepted-tokens) function, or check the support for a specific token with the [`checkSupportForToken`](broken://pages/CsO3EsJ5XwIPItN1RtGD#check-support-for-token) function. Accepted tokens can be staked with the [`buy`](broken://pages/CsO3EsJ5XwIPItN1RtGD#buy-tokens) function. The number of Verified liquidity tokens issued to an liquidity providers can be checked with the [`balance`](broken://pages/CsO3EsJ5XwIPItN1RtGD#check-balance-of-verified-liquidity-tokens) function.&#x20;

### Staking in Market makers

Applications can let liquidity providers check the number of available liquidity pools by calling the [`getPlatforms`](broken://pages/uz4t8m2ONcK1UUIeRjvh#get-list-of-liquidity-pool-managers) function which returns the market maker name, address and the ISIN of the tokenized security in the liquidity pool. Liquidity providers can then call the [`offer`](broken://pages/uz4t8m2ONcK1UUIeRjvh#offer-liquidity) function on the market maker contract.&#x20;


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.verified.network/reference/verified-sdk/staking-to-invest.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
